Bug 841286 - [RFE] Add a column in available subscriptions for Activation Keys showing how many are being consumed
[RFE] Add a column in available subscriptions for Activation Keys showing how...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
sthirugn@redhat.com
: FutureFeature, Triaged
Depends On: 841150
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 11:00 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 841150
Environment:
Last Closed: 2014-09-11 08:23:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-07-18 11:00:12 EDT
+++ This bug was initially created as a clone of Bug #841150 +++

Description of problem:
It's really inconvenient for the users each time to see the exhausted subscription in the list of available subscriptions list when they want to update/create an activation key with available subscription.

Version-Release number of selected component (if applicable):
pulp-common-1.1.11-1.el6.noarch
katello-certs-tools-1.1.6-1.git.572.1606589.el6.noarch
qpid-cpp-server-ssl-0.14-14.el6_2.x86_64
katello-glue-pulp-0.2.45-1.git.20.0d974f6.el6.noarch
katello-0.2.45-1.git.20.0d974f6.el6.noarch
katello-configure-0.2.30-1.git.16.0e273d4.el6.noarch
candlepin-tomcat6-0.5.32-1.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-common-0.2.43-1.git.0.07c77a6.el6.noarch
katello-cli-0.2.43-1.git.0.07c77a6.el6.noarch
m2crypto-0.21.1.pulp-7.el6.x86_64
mod_wsgi-3.3-3.pulp.el6.x86_64
qpid-cpp-client-ssl-0.14-14.el6_2.x86_64
katello-glue-foreman-0.2.45-1.git.20.0d974f6.el6.noarch
katello-selinux-0.2.6-1.git.9.1606589.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-agent-1.0.4-1.git.11.1606589.el6.noarch
python-qpid-0.14-7.el6_2.noarch
qpid-cpp-server-0.14-14.el6_2.x86_64
katello-glue-candlepin-0.2.45-1.git.20.0d974f6.el6.noarch
pulp-1.1.11-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
candlepin-0.5.32-1.el6.noarch
qpid-cpp-client-0.14-14.el6_2.x86_64
katello-common-0.2.45-1.git.20.0d974f6.el6.noarch
katello-repos-0.2.5-1.el6.noarch
pulp-selinux-server-1.1.11-1.el6.noarch

How reproducible:
always.

Steps to Reproduce:
1.import manifest that has at least two diff. subscriptions.
2.register/subscribe clients as much to get the first subscription exhausted (all slots available subscribed). One can use subscription-manager register; subscription-manager subscribe; subscription-manager clean in a loop (clean will cleanup on system side but will keep subscription busy on Katello side)
3.now try to prepare a new AK and go to the UI tab for it, like: "https://<FQDN>/katello/activation_keys#panel=activation_key_<ID>&panelpage=available_subscriptions" - Available Subscriptions.
  
Actual results:
One can see the exhausted subscription too. But actually that subscription in _NOT_ available right now to be used.

Expected results:
each time retrieve from candlepin list of subscriptions that have free slots (as available to be consumed)

Additional info:
NOTE: if there would be a manual cleanup or unsubscribe that there would become an available slot from that subscription pool too - it _should_ start to be listed as available again!
Comment 1 Tom McKay 2012-08-03 14:51:12 EDT
Resolution of this will be to add a column to the listing of subscriptions indicating how many are being consumed and are still available.

It is a valid use case to create activation keys which contain subscriptions that at that moment have none available. AKs are meant to be used at some indeterminate time in the future, thus there is no guarantee ever that all the subs listed in the AK will be available at that time.
Comment 5 sthirugn@redhat.com 2014-09-03 14:04:24 EDT
Verified.

Note: sat6 UI is changed and now Available Subscriptions page anymore.  Now we show something like:
Attached 1 out of 10

Version Tested:
GA Snap 7 - Satellite-6.0.4-RHEL-6-20140829.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.23-1.el6_5.noarch
* candlepin-common-1.0.1-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.23-1.el6_5.noarch
* candlepin-tomcat6-0.9.23-1.el6_5.noarch
* elasticsearch-0.90.10-6.el6sat.noarch
* foreman-1.6.0.42-1.el6sat.noarch
* foreman-compute-1.6.0.42-1.el6sat.noarch
* foreman-gce-1.6.0.42-1.el6sat.noarch
* foreman-libvirt-1.6.0.42-1.el6sat.noarch
* foreman-ovirt-1.6.0.42-1.el6sat.noarch
* foreman-postgresql-1.6.0.42-1.el6sat.noarch
* foreman-proxy-1.6.0.30-1.el6sat.noarch
* foreman-selinux-1.6.0.14-1.el6sat.noarch
* foreman-vmware-1.6.0.42-1.el6sat.noarch
* katello-1.5.0-30.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.62-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-devel-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-4.el6sat.noarch
* pulp-nodes-common-2.4.1-0.5.rc1.el6sat.noarch
* pulp-nodes-parent-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-puppet-tools-2.4.1-0.5.rc1.el6sat.noarch
* pulp-rpm-plugins-2.4.1-0.5.rc1.el6sat.noarch
* pulp-selinux-2.4.1-0.5.rc1.el6sat.noarch
* pulp-server-2.4.1-0.5.rc1.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
Comment 6 Bryan Kearney 2014-09-11 08:23:03 EDT
This was delivered with Satellite 6.0 which was released on 10 September 2014.

Note You need to log in before you can comment on or make changes to this bug.